%global momorel 10

Name:           perl-MooseX-Types-DateTimeX
Version:        0.06
Release:        %{momorel}m%{?dist}
Summary:        Extensions to MooseX::Types::DateTime::ButMaintained
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Types-DateTimeX/
Source0:        http://www.cpan.org/authors/id/E/EC/ECARROLL/MooseX-Types-DateTimeX-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Test-use-ok >= 0.02
BuildRequires:  perl-Test-Exception >= 0.27
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-Moose >= 0.41
BuildRequires:  perl-MooseX-Types >= 0.04
BuildRequires:  perl-namespace-clean >= 0.08
BuildRequires:  perl-Time-Duration-Parse >= 0.06
BuildRequires:  perl-MooseX-Types-DateTime-ButMaintained >= 0.04
BuildRequires:  perl-DateTimeX-Easy >= 0.085
Requires:       perl-ExtUtils-MakeMaker
Requires:       perl-Test-use-ok >= 0.02
Requires:       perl-Test-Exception >= 0.27
Requires:       perl-Test-Simple
Requires:       perl-Moose >= 0.41
Requires:       perl-MooseX-Types >= 0.04
Requires:       perl-namespace-clean >= 0.08
Requires:       perl-Time-Duration-Parse >= 0.06
Requires:       perl-MooseX-Types-DateTime-ButMaintained >= 0.04
Requires:       perl-DateTimeX-Easy >= 0.085
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module builds on MooseX::Types::DateTime to add additional custom
types and coercions. Since it builds on an existing type, all coercions and
constraints are inherited.

%prep
%setup -q -n MooseX-Types-DateTimeX-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/MooseX/Types/DateTimeX*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.06-10m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-9m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-8m)
- rebuild against perl-5.12.0

* Wed Feb 17 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-7m)
- fix typo for rpm48

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-6m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Aug 26 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.06-4m)
- expand BuildRequires

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-3m)
- rebuild against perl-5.10.1

* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-2m)
- modify BuildRequires

* Sat May 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
